This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 488877 - no response on xterm after switching IM
no response on xterm after switching IM
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On: 488773
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 21:05 EST by Akira TAGOH
Modified: 2009-11-24 00:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 488773
Environment:
Last Closed: 2009-11-24 00:48:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2009-03-05 21:05:29 EST
To keeps an issue in summary on track separately because the root cause is different.

+++ This bug was initially created as a clone of Bug #488773 +++

Created an attachment (id=334166)
X session errors caused by enabling SCIM

Description of problem:
After updating libgxim to release 0.3.2-4.fc10, xterm shows some regression: when running a program with a noticeable amount of text output (e.g. 'ls -R /'), then imsettings-applet starts grabbing a significant amount of CPU share of up to 10%. Note that SCIM is disabled at this point.
After opening GNOME menu item "Input Method" and enabling SCIM which is disabled by default, xterm does not accept any input from the keyboard anymore unlike gnome-terminal which continues to do so.

Version-Release number of selected component (if applicable):
libgxim-0.3.2-4.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Open GNOME session.
2. Start a program in an xterm window producing text output.
3. Run 'top' in a different window.
4. Open "Input Method" from GNOME menu and enable SCIM.
  
Actual results:
- Noticeable CPU load caused by imsettings-applet.
- Xterm unresponsive after enabling SCIM via "Input Method" dialog window.

Expected results:
Normal behaviour of xterm just as gnome-terminal.

Additional info:
Reverting libgxim to release 0.3.1-1.fc10 allows to restore normal operation.
Comment 1 Akira TAGOH 2009-03-05 21:10:15 EST
Please note that IM won't still works without XIM reconnection support in applications because imsettings-applet, correctly XIM bridge in imsettings can't emulate XIM_CRAETE_IC event and bridge it after that properly because it's really hard to keep consistencies of input-method/input-context properties between new one and old one applications has.

GTK+ supports it with focus-in/out say. so switching IM works properly on GTK+ applications, but xterm doesn't.

After resolving this bug, you may want to file a bug again for xterm to support XIM reconnection.
Comment 2 Akira TAGOH 2009-04-07 08:25:22 EDT
Fixed in imsettings-0.106.2-1.fc11 for F-11. will backport a fix for F-10 after certain testing, FYI.
Comment 3 Jens Petersen 2009-06-24 05:59:39 EDT
Do you want to push the backport?
Comment 4 Bug Zapper 2009-11-18 06:17:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Akira TAGOH 2009-11-24 00:48:56 EST
We don't use XIM support in imsettings since F-11. close this as UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.